Skip to main content
POST
/
v1
/
check-sessions
/
trigger
Trigger a new check session
curl --request POST \
  --url https://api.checklyhq.com/v1/check-sessions/trigger \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": {
    "matchTags": [
      [
        "production",
        "!skip-e2e"
      ]
    ],
    "checkId": [
      "a4cd4ad9-4815-4a9e-92d2-0a7c562ee69a"
    ]
  },
  "refreshCache": false
}
'
{
  "sessions": [
    {
      "checkSessionId": "8166fa86-c9b4-4162-8541-d380c6c212d8",
      "checkSessionLink": "https://app.checklyhq.com/accounts/1397c172-1938-4973-a225-5862298e571a/checks/a4cd4ad9-4815-4a9e-92d2-0a7c562ee69a/check-sessions/8166fa86-c9b4-4162-8541-d380c6c212d8",
      "checkId": "a4cd4ad9-4815-4a9e-92d2-0a7c562ee69a",
      "checkType": "API",
      "status": "PASSED",
      "startedAt": "2025-08-28T18:23:40.262Z",
      "timeElapsed": 300731,
      "runLocations": [
        "us-east-1",
        "eu-central-1"
      ],
      "name": "Example API Check",
      "stoppedAt": "2025-08-28T18:28:40.993Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Body

application/json
target
object
refreshCache
boolean
default:false

If true, the runner will skip existing caches and install dependencies from scratch. This applies only to Playwright Check Suites.

Response

Returns a check session for each check matching target conditions.

Returns a check session for each check matching target conditions.

sessions
object[]
required

A list of check sessions, with one check session for each check.